package com.landray.kmss.sys.attachment.dao.hibernate;

import com.landray.kmss.util.UserUtil;
import java.util.Date;
import com.landray.kmss.sys.attachment.model.SysAttDownloadLog;
import com.landray.kmss.common.model.IBaseModel;
import com.landray.kmss.sys.attachment.dao.ISysAttDownloadLogDao;
import com.landray.kmss.common.dao.BaseDaoImp;

public class SysAttDownloadLogDaoImp extends BaseDaoImp implements ISysAttDownloadLogDao
{
    public String add(final IBaseModel modelObj) throws Exception {
        final SysAttDownloadLog model = (SysAttDownloadLog)modelObj;
        if (model.getDocCreateTime() == null) {
            model.setDocCreateTime(new Date());
        }
        if (model.getDocCreatorId() == null) {
            model.setDocCreatorId(UserUtil.getUser().getFdId());
        }
        if (model.getDocCreatorName() == null) {
            model.setDocCreatorName(UserUtil.getUser().getFdName());
        }
        if (model.getFdDeptId() == null) {
            if (UserUtil.getUser().getFdParent() != null) {
                final String docDeptId = UserUtil.getUser().getFdParent().getFdId();
                final String docDeptName = UserUtil.getUser().getFdParent().getDeptLevelNames();
                model.setFdDeptId(docDeptId);
                model.setFdDeptName(docDeptName);
            }
            else {
                model.setFdDeptId(UserUtil.getKMSSUser().getDeptId());
                model.setFdDeptName(UserUtil.getKMSSUser().getDeptName());
            }
        }
        if (model.getFdDownloadType() == null) {
            model.setFdDownloadType("unknow");
        }
        return super.add((IBaseModel)model);
    }
}
